Snapshot 2.1 patch 5


The 5th patch for Snapshot 2.1.
Description

The 5th patch for Snapshot 2.1. It requires Snapshot 2.1 to work.

Changelog

This list is incomplete as we did not keep complete changelogs for this version.

  • Fixed a bunch of bugs
  • Added a handful of weapons from other 3D era games
  • Added functional Ammu-Nation stores
Download links